View Issue Details

IDProjectCategoryView StatusLast Update
0003637SymmetricDSBugpublic2018-08-03 10:12
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.10Fixed in Version3.9.10 
Summary0003637: Table transforms update first setting bleeds into subsequent transforms
DescriptionWhenever an Update First transform is encountered, all subsequent transform outputs will take on the eventType of UPDATE instead of INSERT.

TransformWriter:168:
            for (TransformTable transformation : transformTables) {
                if (eventType == DataEventType.INSERT && transformation.isUpdateFirst()) {
                    eventType = DataEventType.UPDATE;
                }

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 c18b03f4

2018-07-23 09:18:40

mmichalek

Details Diff
0003637: Table transforms update first setting bleeds into subsequent
transforms

0003637
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/TransformWriter.java Diff File

Issue History

Date Modified Username Field Change
2018-07-19 12:14 mmichalek New Issue
2018-07-19 12:14 mmichalek Status new => assigned
2018-07-19 12:14 mmichalek Assigned To => mmichalek
2018-07-20 14:52 mmichalek Category Improvement => Bug
2018-07-23 09:19 mmichalek Status assigned => resolved
2018-07-23 09:19 mmichalek Resolution open => fixed
2018-07-23 09:19 mmichalek Fixed in Version => 3.9.10
2018-07-23 10:00 mmichalek Changeset attached => SymmetricDS 3.9 c18b03f4
2018-08-03 10:12 chenson Status resolved => closed